.chat-menu .chat-btn__setting {
    display: block;
}

.chat__message:hover > .chat__message__top > .chat__message__copy {
    display: flex;
}

.comparasion-answer-box pre, .chat__message pre {
    border-radius: 8px;
    background: #0d1524;
    padding: 8px;
    color: #fff;
    overflow-y: auto;
    margin-top: 10px;
    position: relative;
}

.comparasion-answer-box pre .chat__code__header, .chat__message__text pre .chat__code__header {
    margin-bottom: 10px;
    min-height: 20px;
}

.comparasion-answer-box  pre:hover > .chat__code__header > .chat__message__copy, .chat__message__text pre:hover > .chat__code__header > .chat__message__copy {
    display: flex;
}

.accept.hidden {
    display: none;
}
a.chat-btn__row.fixed {
    background: rgba(36, 13, 13, 0.05);
    border-radius: 16px;
}
.main__bottom__buttons {
    z-index: 2;
    position: relative;
}

.prem-menu__right li:first-child a {
    background: none;
    -webkit-background-clip: unset;
    -webkit-text-fill-color: unset;
}

/**/
.setting-popup {
    display: block;
    position: static;
    width: 100%;
}

.cp {
    cursor: pointer;
}

/* Settings */

.setting-wrapper {
    position: relative;
}

.setting-popup {
    padding: 20px;
}
.setting-popup span {
    margin: 0;
}

.setting-popup span.blue {
    color: #00c2ff;
    font-weight: 600;
    display: inline;
}

.setting-popup .range-wrapper {
    margin-left: 5px;
    margin-right: 5px;
    margin-top: 15px;
}

.setting-popup .range .line {
    height: 4px;
    width: 100%;
    background-color: #00faa9;
    border-radius: 4px;
}

.setting-popup .range .handler {
    height: 20px;
    min-width: 40px;
    background-color: #fff;
    border: 1px solid #d9d9d9;
    border-radius: 8px;
    box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.25),
        0px 1px 4px 0px rgba(0, 0, 0, 0.25);
    padding: 10px 10px;
    color: #0d1524;
    font-size: 12px;
    line-height: 0;
    text-align: center;
}

.settings-radiobutton__container {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 10px 0px 10px 0px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    color: #000;
    gap: 6px;
    font-size: 14px;
}

.settings-radiobutton__container input {
    display: none;
}

.settings-radiobutton__container .radiobutton {
    height: 24px;
    width: 24px;
    border-radius: 50%;
    border: 2px solid #0d1524;
    flex: 0 0 auto;
}

.settings-radiobutton__container .radiobutton:after {
    margin-left: 4px;
    margin-top: 4px;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background: #0d1524;
    content: "";
    display: none;
}

.settings-radiobutton__container input:checked ~ .radiobutton:after {
    display: block;
}

img.lang-flag {
    width: 24px;
    height: 24px;
}

.alert {
    padding: 20px;
    background-color: #747474;
    border: #4e4e4e 1px;
    border-radius: 20px;
}

.alert:not(:last-child) {
    margin-bottom: 10px;
}

.alert.alert-error {
    background-color: #ff1f41;
    border-color: #ff002e;
}

.alert.alert-success {
    background-color: #00faa9;
    border-color: #00faa9;
    color: #000;
}

.alert.alert-info {
    background-color: #00c2ff;
    border-color: #00c2ff;
    color: #000;
}

.mt0 {
    margin-top: 0;
}

.mb1 {
    margin-bottom: 0.5em;
}

.mb2 {
    margin-bottom: 1em;
}

.mb3 {
    margin-bottom: 1.5em;
}

.mt1 {
    margin-top: 1em;
}

.popup-login .popup-back span {
    margin: 0;
}

.popup-chat .centered,
.popup-chat .centered span {
    text-align: center;
    margin: 0 auto;
}

.bot-message:last-child {
    margin-bottom: 0;
}

textarea.chat__textarea {
    resize: none;
    overflow-x: hidden;
    overflow-y: auto;
    scrollbar-width: none;
    transition: none;
    padding: 0;
    margin-bottom: 2px;
}

.scroll-to-bottom {
    position: fixed;
    bottom: 30vh;
    right: 15px;
    cursor: pointer;
}

.form .recaptcha.error span {
    position: static;
    left: auto;
    top: auto;
    z-index: auto;
}

.setting-popup .range__top {
    display: flex;
    gap: 3px;
}

.setting-popup .range__top span {
    opacity: 1;
}
.setting-popup .range__top span.bold {
    font-weight: 600;
    opacity: 0.5;
}
.setting-popup .range__ask {
    padding-top: 2px;
}
.setting-popup .range__bottom {
    color: #0d1524;
    opacity: 0.5;
    font-size: 12px;
    margin-top: 15px;
    line-height: 20px;
}
.setting-popup .range.default,
.setting-radio.default,
.sel.default {
    opacity: 0.6;
}

.setting-popup .range.disabled,
.setting-radio.disabled,
.sel.disabled {
    opacity: 0.3;
}

.setting-radio p {
    font-weight: 500;
}

.setting-popup .sel svg {
    margin-right: 0;
}

.setting-popup .sel label.input svg {
    margin-right: 16px;
}
.setting-popup .sel-custom {
    margin-bottom: 13px;
}
.setting-popup .sel-custom .select {
    width: 100%;
}
.setting-popup .sel-custom .select {
    border-radius: 8px;
    width: 100%;
    display: block;
    padding: 8px 16px 8px 8px;
    border: 1px solid #0d1524bf;
}
.setting-popup .sel-custom .input.row {
    gap: 2px;
}

.setting-popup .sel-custom .range__top.row {
    margin-bottom: 3px;
}
.setting-popup .sel-custom .select .settings-radiobutton__container {
    padding: 0;
}

.setting-popup .sel-custom .select .settings-radiobutton__container.disabled {
    opacity: 0.3;
}

.setting-popup .sel-custom .select.arrow {
    width: 46px;
    padding-top: 14px;
    padding-left: 14px;
    cursor: pointer;
    position: relative;
    color: #0D1524;
}

.setting-popup .sel-custom.active .select.arrow {
    background: #0d15241a;
}

.setting-popup .sel-custom.active .select.arrow svg {
    transform: rotate(-180deg);
    transition: transform 0.3s;
}

.setting-popup .sel-custom .dropdown-container {
    transition: none;
    width: 100%;
    display: block;
    padding-left: 20px;
    padding-right: 20px;
}

.setting-popup .sel-custom .dropdown-container .dropdown {
    background: #ffffff;
    width: 100%;
    display: block;
    padding: 16px;
    border-radius: 5px;
    box-shadow: 0px 4px 16px 0px #00000080;
    color: #000;
}

.setting-popup .sel-custom .dropdown-container .dropdown .dropdown-item {
    cursor: pointer;
}

.setting-popup
    .sel-custom
    .dropdown-container
    .dropdown
    .dropdown-item.disabled {
    opacity: 0.3;
}

.setting-popup .sel-custom .dropdown-container .dropdown .dropdown-item .title {
    font-size: 14px;
    font-weight: 600;
    padding-bottom: 4px;
}

.setting-popup
    .sel-custom
    .dropdown-container
    .dropdown
    .dropdown-item
    .description {
    font-size: 12px;
}

.icon-text-block {
    display: flex;
}

.icon-block {
    padding-right: 8px;
    line-height: 0;
}

.icon-block img {
    width: 24px;
    height: 24px;
    border-radius: 8px;
}

.text-block {
    line-height: 1.5rem;
    font-size: 14px;
}

.text-block .title {
    font-weight: 600;
}

.text-block .description{
    line-height: 1;
}

.text-block .description span{
    display: inline;
}

.setting-popup .setting-item {
    border-bottom: 1px solid #d9d9d9;
    padding-bottom: 10px;
    padding-top: 10px;
}

.setting-popup .setting-item:last-child {
    border-bottom: none;
    padding-bottom: 0;
}

.setting-popup .setting-item:first-child {
    padding-top: 0;
}

.popup-narrow .popup-chat__wrapper {
    /* width: 450px; */
}
.popup-narrow .popup-chat__wrapper {
    max-width: 490px;
}

.prem-tarif__card a.btn,
.prem-tarif__card button.btn {
    width: 100%;
    font-size: 14px;
    font-weight: 700;
    padding: 12px 32px;
    background: #00faa9;
    margin-top: auto;
}

.prem-tarif__card a.btn:hover,
.prem-tarif__card button.btn:hover {
    color: #fff;
}

.prem-tarif__card.prem-tarif__main a.btn,
.prem-tarif__card.prem-tarif__main button.btn {
    background: linear-gradient(95deg, #00ffa3 3.49%, #00c2ff 95.78%);
}

.popup-chat__wrapper {
    opacity: 1;
    transition: opacity 100ms linear;
    animation: fadeIn 0.5s;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
.popup-cabinet .popup-chat__row a.logout {
    display: flex;
    gap: 15px;
    vertical-align: middle;
}

.btn.alert {
    background-color: #ff1f41;
    border-color: #ff002e;
}
.chat__form input:disabled {
    opacity: 0.6;
}
.message {
    color: #0d1524;
    text-align: center;
    margin: 5px 0;
    font-weight: bold;
    padding: 5px;
    border: 2px #0d1524 solid;
    border-radius: 50px;
}
.error-message {
    color: #ff1f41;
    border-color: #ff1f41;
}

.success-message {
    color: #00faa9;
    border-color: #00faa9;
}

.buttons-row {
    gap: 2rem;
}

.chat__message__text p img {
    max-width: 100%;
}
.svg-loader {
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
}
.svg-loader svg {
    animation: 2s linear infinite svg-animation;
    max-width: 100px;
}

@keyframes svg-animation {
    0% {
        transform: rotateZ(0deg);
    }
    100% {
        transform: rotateZ(360deg);
    }
}

.svg-loader svg circle {
    animation: 1.4s ease-in-out infinite both circle-animation;
    display: block;
    fill: transparent;
    stroke: #00faa9;
    stroke-linecap: round;
    stroke-dasharray: 283;
    stroke-dashoffset: 280;
    stroke-width: 10px;
    transform-origin: 50% 50%;
}

@keyframes circle-animation {
    0%,
    25% {
        stroke-dashoffset: 280;
        transform: rotate(0);
    }

    50%,
    75% {
        stroke-dashoffset: 75;
        transform: rotate(45deg);
    }

    100% {
        stroke-dashoffset: 280;
        transform: rotate(360deg);
    }
}

span.terms {
    color: #0d1524;
}

span.terms a {
    display: inline;
    color: #00faa9;
    text-decoration: underline;
}

span.terms a:hover {
    text-decoration: none;
}

.popup-chat__wrapper2 {
    top: 50%;
    transform: translate(-50%, -50%);
}
.popup-chat__form .btn-more {
    font-size: inherit;
    padding: 15px 32px;
    margin: 0 auto;
}
.popup-chat__form {
    padding: 0;
}

.prem-tarif__cards,
.prem-tarif__cards2 {
    padding-top: 35px;
    padding-bottom: 30px;
}

.setting-popup .btn {
    padding: 11px 18px;
}
.chat__message__text .image-dalle {
    position: relative;
}

.chat__message__text .image-dalle img {
    max-width: 100%;
}
.chat__message__text .image-dalle .button-container {
    margin-top: 10px;
    width: 100%;
    text-align: center;
}

.chat__message .image-dalle > .chat__message__download {
    position: absolute;
    background: rgba(0, 0, 0, 0.4);
    box-shadow: -2px 2px 5px rgba(0, 0, 0, 0.4);
    display: none;
    top: 0px;
    right: 0px;
}
.chat__message
    .image-dalle
    > .chat__message__download
    > .chat__message__download__button {
    padding: 10px;
    cursor: pointer;
}

.chat__message
    .image-dalle
    > .chat__message__download
    > .chat__message__download__button.chat__message__copy {
    display: block;
}
.chat__message .image-dalle:hover > .chat__message__download {
    display: flex;
}

.line-loader-container {
    width: 80px;
}

.line-loader {
    width: 8px;
    height: 8px;
    border-radius: 50%;
    display: block;
    position: relative;
    color: #fff;
    box-sizing: border-box;
    animation: shadowRolling 2s linear infinite;
}

@keyframes shadowRolling {
    0% {
        box-shadow: 0px 0 rgba(255, 255, 255, 0),
                    0px 0 rgba(255, 255, 255, 0),
                    0px 0 rgba(255, 255, 255, 0),
                    0px 0 rgba(255, 255, 255, 0);
    }
    12% {
        box-shadow: 20px 0 #00faa9,
                    0px 0 rgba(255, 255, 255, 0),
                    0px 0 rgba(255, 255, 255, 0),
                    0px 0 rgba(255, 255, 255, 0);
    }
    25% {
        box-shadow: 30px 0 #00faa9,
                    20px 0 #00faa9,
                    0px 0 rgba(255, 255, 255, 0),
                    0px 0 rgba(255, 255, 255, 0);
    }
    36% {
        box-shadow: 40px 0 #00faa9,
                    30px 0 #00faa9,
                    20px 0 #00faa9,
                    0px 0 rgba(255, 255, 255, 0);
    }
    50% {
        box-shadow: 50px 0 #00faa9,
                    40px 0 #00faa9,
                    30px 0 #00faa9,
                    20px 0 #00faa9;
    }
    62% {
        box-shadow: 80px 0 rgba(255, 255, 255, 0),
                    50px 0 #00faa9,
                    40px 0 #00faa9,
                    30px 0 #00faa9;
    }
    75% {
        box-shadow: 80px 0 rgba(255, 255, 255, 0),
                    80px 0 rgba(255, 255, 255, 0),
                    50px 0 #00faa9,
                    40px 0 #00faa9;
    }
    87% {
        box-shadow: 80px 0 rgba(255, 255, 255, 0),
                    80px 0 rgba(255, 255, 255, 0),
                    80px 0 rgba(255, 255, 255, 0),
                    50px 0 #00faa9;
    }
    100% {
        box-shadow: 80px 0 rgba(255, 255, 255, 0),
                    80px 0 rgba(255, 255, 255, 0),
                    80px 0 rgba(255, 255, 255, 0),
                    80px 0 rgba(255, 255, 255, 0);
    }
}


.popup__selectors__items a {
    cursor: pointer;
}

.popup__selectors {
    margin-top: 10px;
}
.popup-prices .prem-tarif__card {
    min-height: 450px;
}
.popup-prices .prem-tarif__card.prem-tarif__main {
    min-height: 480px;
}
.popup-prices .prem-tarif__main .prem-tarif__price {
    font-size: 32px;
}
.popup-prices .prem-tarif__main .prem-tarif__price span {
    font-size: 16px;
}

.popup-prices.popup-prices-index .popup__selectors__items a.active {
    color: #0d1524;
}

.popup-prices.popup-prices-index .month .prem__old {
    display: none;
}

.popup-prices.popup-prices-index .year .prem-tarif__price.month-price {
    display: none;
}
.popup-prices.popup-prices-index .month .prem-tarif__price.year-price {
    display: none;
}

.popup-prices.popup-prices-index .year .prem__sub.month-sub {
    display: none;
}
.popup-prices.popup-prices-index .month .prem__sub.year-sub {
    display: none;
}

.popup-prices.popup-prices-index .year img.like {
    display: none;
}
.popup-prices.popup-prices-index .month .prem__procent {
    display: none;
}

.prem-tarif .popup-prices .swiper-wrapper {
    align-items: flex-end;
}
/*
  .popup-prices .prem-tarif__main {
    min-height: 500px;
  } */

/* TODO remove after fix */

.chat__text__row {
    margin-top: auto;
}

.chat__text__row textarea::placeholder {
    opacity: 0.5;
}

.chat__text__row .chat__text__row__load,
.chat__text__row .chat-submit {
    position: static;
    line-height: 6px;
    height: auto;
    margin-bottom: 0;
}

.chat__form {
    padding: 12px 16px;
}

.chat__form .chat__textarea {
    width: 100%;
}

.chat__message__file {
    margin-left: 35px;
    margin-bottom: 12px;
}

.chat__message__file div.preview {
    padding-bottom: 22px;
}

.attach_files {
    padding-right: 12px;
    padding-top: 12px;
}

@media screen and (max-width: 760px) {
    .chat__body .chat__form {
        padding: 12px 16px;
    }
    .chat__form .chat__textarea {
        padding: 0;
    }
}

@media screen and (max-width: 980px) {
    .file__plate {
        margin-top: 0;
        margin-bottom: 12px;
    }
}

/* Popover style */

.tippy-box {
    position: relative;
    background: #0d1524;
    box-shadow: 0px 4px 16px 0px #000020;
    padding: 5px 9px;
    border-radius: 5px;
    font-size: 0.8rem;
    opacity: 1;
}

.tippy-box[data-state="hidden"] {
    opacity: 0;
}

.tippy-box .tippy-arrow {
    color: #0d1524;
    width: 16px;
    height: 16px;
    transition: none;
}

.tippy-box > .tippy-arrow::before {
    border-top-color: #0d1524;
}
.tippy-box > .tippy-arrow:before {
    bottom: 3px;
    left: 0;
    border-width: 8px 8px 0;
    border-top-color: initial;
    transform-origin: center top;
}

.tippy-arrow:before {
    content: "";
    position: absolute;
    border-color: transparent;
    border-style: solid;
}

/* Popover style with css hover*/

.hint .tippy-box {
    opacity: 0;
    display: none;
    position: absolute;
    bottom: 100%;
    margin-bottom: 6px;
    color: #ffffff;
    /* max-width: 350px; */
    transition-duration: 150ms;
    border-radius: 16px;
    box-shadow: 0px 16px 32px 0px #00000040;
    padding: 0;
    font-size: inherit;
    font-weight: 400;
    /* width: max-content; */
    max-width: 100%;
    left: 0;
}

.hint .tippy-box .tippy-arrow {
    position: absolute;
    top: 100%; /* At the bottom of the tooltip */
    left: 50%;
    margin-left: -6px;
    margin-top: -6px;
}

.hint {
    display: block;
    position: relative;
    cursor: pointer;
}

.hint:hover span.circle-icon,
.hint:active span.circle-icon,
.hint:focus span.circle-icon {
    background-image: url("data:image/svg+xml,%3Csvg%20width%3D%2220%22%20height%3D%2220%22%20viewBox%3D%220%200%2020%2020%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%20%20%20%20%20%20%20%20%3Cpath%20d%3D%22M12.004%2013.904C11.6174%2013.904%2011.2899%2013.5852%2011.3812%2013.2095C11.5711%2012.4272%2012.0793%2012.0363%2012.5383%2011.6832C12.9933%2011.333%2013.4%2011.0202%2013.4%2010.4C13.4%209.632%2012.768%208.99999%2012%208.99999C11.4743%208.99999%2011.0123%209.29614%2010.7731%209.72933C10.5863%2010.0678%2010.2866%2010.4%209.89999%2010.4C9.51339%2010.4%209.19104%2010.0817%209.28673%209.70713C9.59582%208.49718%2010.695%207.6%2012%207.6C13.544%207.6%2014.8%208.856%2014.8%2010.4C14.8%2011.2992%2014.2479%2011.7832%2013.7104%2012.2545C13.373%2012.5504%2013.0411%2012.8413%2012.8555%2013.2267C12.6877%2013.575%2012.3906%2013.904%2012.004%2013.904Z%22%20fill%3D%22%230D1524%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Cpath%20d%3D%22M12.004%2016.2C11.6174%2016.2%2011.304%2015.8866%2011.304%2015.5C11.304%2015.1134%2011.6174%2014.8%2012.004%2014.8C12.3906%2014.8%2012.704%2015.1134%2012.704%2015.5C12.704%2015.8866%2012.3906%2016.2%2012.004%2016.2Z%22%20fill%3D%22%230D1524%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Cpath%20fill-rule%3D%22evenodd%22%20clip-rule%3D%22evenodd%22%20d%3D%22M7.55544%205.34824C8.87103%204.46919%2010.4178%204%2012%204C13.0506%204%2014.0909%204.20693%2015.0614%204.60896C16.0321%205.011%2016.914%205.60028%2017.6569%206.34314C18.3997%207.08601%2018.989%207.96792%2019.391%208.93853C19.793%209.90913%2020%2010.9494%2020%2012C20%2013.5822%2019.5308%2015.1289%2018.6517%2016.4445C17.7727%2017.7601%2016.5233%2018.7855%2015.0614%2019.391C13.5997%2019.9965%2011.9911%2020.1549%2010.4393%2019.8463C8.88743%2019.5376%207.46196%2018.7757%206.34315%2017.6569C5.22433%2016.538%204.4624%2015.1125%204.15372%2013.5607C3.84504%2012.0089%204.00346%2010.4003%204.60897%208.93853C5.21447%207.47672%206.23985%206.22729%207.55544%205.34824ZM8.44435%2017.3214C9.49683%2018.0246%2010.7342%2018.4%2012%2018.4C13.6974%2018.4%2015.3253%2017.7257%2016.5255%2016.5255C17.7257%2015.3253%2018.4%2013.6973%2018.4%2012C18.4%2010.7342%2018.0246%209.49682%2017.3214%208.44435C16.6181%207.39187%2015.6186%206.57157%2014.4492%206.08717C13.2798%205.60277%2011.9929%205.47603%2010.7514%205.72297C9.50994%205.96992%208.36957%206.57946%207.47452%207.47452C6.57946%208.36957%205.96992%209.50994%205.72297%2010.7514C5.47603%2011.9929%205.60277%2013.2797%206.08717%2014.4492C6.57157%2015.6186%207.39188%2016.6181%208.44435%2017.3214Z%22%20fill%3D%22%230D1524%22%2F%3E%0A%20%20%20%20%20%20%20%20%3C%2Fsvg%3E");
}

.hint span.circle-icon {
    background-image: url("data:image/svg+xml,%3Csvg%20width%3D%2220%22%20height%3D%2220%22%20viewBox%3D%220%200%2020%2020%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%20%20%20%20%20%20%20%20%20%20%3Cpath%20d%3D%22M12.004%2013.904C11.6174%2013.904%2011.2899%2013.5852%2011.3812%2013.2095C11.5711%2012.4272%2012.0793%2012.0363%2012.5383%2011.6832C12.9933%2011.333%2013.4%2011.0202%2013.4%2010.4C13.4%209.632%2012.768%208.99999%2012%208.99999C11.4743%208.99999%2011.0123%209.29614%2010.7731%209.72933C10.5863%2010.0678%2010.2866%2010.4%209.89999%2010.4C9.51339%2010.4%209.19104%2010.0817%209.28673%209.70713C9.59582%208.49718%2010.695%207.6%2012%207.6C13.544%207.6%2014.8%208.856%2014.8%2010.4C14.8%2011.2992%2014.2479%2011.7832%2013.7104%2012.2545C13.373%2012.5504%2013.0411%2012.8413%2012.8555%2013.2267C12.6877%2013.575%2012.3906%2013.904%2012.004%2013.904Z%22%20fill%3D%22%23C9D2D9%22%2F%3E%0A%20%20%20%20%20%20%20%20%20%20%3Cpath%20d%3D%22M12.004%2016.2C11.6174%2016.2%2011.304%2015.8866%2011.304%2015.5C11.304%2015.1134%2011.6174%2014.8%2012.004%2014.8C12.3906%2014.8%2012.704%2015.1134%2012.704%2015.5C12.704%2015.8866%2012.3906%2016.2%2012.004%2016.2Z%22%20fill%3D%22%23C9D2D9%22%2F%3E%0A%20%20%20%20%20%20%20%20%20%20%3Cpath%20fill-rule%3D%22evenodd%22%20clip-rule%3D%22evenodd%22%20d%3D%22M7.55544%205.34824C8.87103%204.46919%2010.4178%204%2012%204C13.0506%204%2014.0909%204.20693%2015.0614%204.60896C16.0321%205.011%2016.914%205.60028%2017.6569%206.34314C18.3997%207.08601%2018.989%207.96792%2019.391%208.93853C19.793%209.90913%2020%2010.9494%2020%2012C20%2013.5822%2019.5308%2015.1289%2018.6517%2016.4445C17.7727%2017.7601%2016.5233%2018.7855%2015.0614%2019.391C13.5997%2019.9965%2011.9911%2020.1549%2010.4393%2019.8463C8.88743%2019.5376%207.46196%2018.7757%206.34315%2017.6569C5.22433%2016.538%204.4624%2015.1125%204.15372%2013.5607C3.84504%2012.0089%204.00346%2010.4003%204.60897%208.93853C5.21447%207.47672%206.23985%206.22729%207.55544%205.34824ZM8.44435%2017.3214C9.49683%2018.0246%2010.7342%2018.4%2012%2018.4C13.6974%2018.4%2015.3253%2017.7257%2016.5255%2016.5255C17.7257%2015.3253%2018.4%2013.6973%2018.4%2012C18.4%2010.7342%2018.0246%209.49682%2017.3214%208.44435C16.6181%207.39187%2015.6186%206.57157%2014.4492%206.08717C13.2798%205.60277%2011.9929%205.47603%2010.7514%205.72297C9.50994%205.96992%208.36957%206.57946%207.47452%207.47452C6.57946%208.36957%205.96992%209.50994%205.72297%2010.7514C5.47603%2011.9929%205.60277%2013.2797%206.08717%2014.4492C6.57157%2015.6186%207.39188%2016.6181%208.44435%2017.3214Z%22%20fill%3D%22%23C9D2D9%22%2F%3E%0A%20%20%20%20%20%20%20%20%20%20%3C%2Fsvg%3E");
    padding-right: 20px;
    background-position: right;
    background-repeat: no-repeat;
    -webkit-transition: background-image 150ms ease-in-out;
    transition: background-image 150ms ease-in-out;
    font-size: 1.1rem;
}

.hint:hover .tippy-box,
.hint:active .tippy-box,
.hint:focus .tippy-box {
    display: block;
    opacity: 1;
}

.hint .tippy-box .tippy-content {
    transition-duration: 150ms;
    padding: 16px 24px;
}

.hint .tippy-content .header {
    font-weight: bold;
    font-size: 1.1rem;
    background: linear-gradient(270deg, #00faa9 -0.38%, #00d6e0 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-align: left;
    margin-bottom: 3px;
    margin-top: 0;
}

.hint .tippy-box.white {
    background-color: #ffffff;
    color: #0d1524;
}

.hint .tippy-box.white > .tippy-arrow::before {
    border-top-color: #ffffff;
}

.prem-tarif__card ul .hint .tippy-box {
    left: -20px;
    max-width: calc(100% + 20px);
}
.prem-tarif__card ul li ul {
    margin-top: 8px;
}
.prem-tarif__card ul li ul .hint .tippy-box {
    left: -40px;
    max-width: calc(100% + 40px);
}

/* Formula view fix */

.katex .katex-mathml {
    top: 0;
}


/* Comparasion chats */

.comparasion {
    min-height: 50vh;
    max-height: 100vh;
    display: flex;
    flex-direction: column;

}

.comparasion-container {
    display: flex;
    width: 100%;
    gap: 20px;
    /* padding: 20px 20px 0 20px; */
    flex: 1;
    min-height: 0;
    padding: 0 50px;
}

.comparasion-chat {
    flex: 1;
    border: 1px solid #00faa9;
    border-radius: 12px;
    padding: 5px;
    display: flex;
    flex-direction: column;
    min-height: 0;

    backdrop-filter: blur(110px);
    box-shadow: 0px 8px 16px 0px #0D152466 inset;
    background: rgba(255, 255, 255, 0.1);
    max-width: calc((100% - 20px) / 2);
}

@media screen and (max-width: 760px) {
    .comparasion-container {
        padding: 12px 4vw;
    }
    .comparasion-chat {
        max-width: 100%;
    }
}

.comparasion-answer-box {
    min-height: 350px;
    padding: 8px;
    word-break: break-word;
    overflow-y: auto;

    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 10px;
    overflow-y: auto;
    min-height: 0;
}

.comparasion-answer-box .comparasion-message {
    max-width: 95%;
    padding: 10px 14px;
    border-radius: 12px;
    font-size: 14px;
    line-height: 1.5;
    animation: fadeIn 0.3s ease;
}

@keyframes fadeIn {
    from { opacity: 0; transform: translateY(8px); }
    to   { opacity: 1; transform: translateY(0); }
}

/* Входящее — слева */
.comparasion-message.incoming {
    align-self: flex-start;
    background: #444654;
    /* border: 1px solid #0f3460; */
    border-bottom-left-radius: 4px;
}

/* Исходящее — справа */
.comparasion-message.outgoing {
    align-self: flex-end;
    background: #444654;
    border-bottom-right-radius: 4px;
}

.comparasion-answer-box pre code {
    overflow-x: auto;
    display: block;
}

.setting-select {
    border-radius: 8px;
    /* width: 100%; */
    display: block;
    padding: 2px 0;
    /* border: 1px solid #0d1524bf; */
    background-color: #FFFFFF;
    margin: 2px;
    font-size: 14px;
}

.setting-select-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    color: #0D1524;
}

.setting-select .select-arrow {
    width: 46px;
    position: relative;
    padding-top: 14px;
    padding-left: 14px;
}

.setting-select-container > * {
    width: 100%;
    display: block;
    padding: 8px;
}

.select-arrow {
    padding-top: 5px;
}

.select-arrow.active svg {
    transform: rotate(-180deg);
    transition: transform 0.3s;
}

.setting-select .select-title {
    color: #000;
    font-weight: 600;
}

.setting-select-items-container {
    display: block;
    width: 100%;
    background: #FFFFFF;
    color: #000;
    border-radius: 8px;
    border: 1px solid #FFFFFF;
    padding: 0;
    max-height: 80vh;
    overflow-y: scroll;
}
.setting-select-items-container .select-item {
    padding: 10px;
    cursor: pointer;
    background: #FFFFFF;
}
.setting-select-items-container .select-item:hover {
    background: #0D15241A;
}

.comparasion-action {
    display: flex;
    align-items: top;
    justify-content: center;
    padding-bottom: 5px;
}

.comparasion-action-line {
    width: 52px;
    height: 26px;
    border-bottom: 1px solid #ffffff;
}

.comparasion-action-line-left {
    border-left: 2px solid #ffffff;
    border-bottom-left-radius: 20px;
}

.comparasion-action-line-right {
    border-right: 2px solid #ffffff;
    border-bottom-right-radius: 20px;
}

.action-btn {
    width: 131;
    height: 46;
    border-radius: 16px;
    padding: 11px 16px;
    border: 0.5px solid #FFFFFF;
    color: #FFFFFF;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 10px;
    font-size: 14px;
}
.action-btn.invert {
    color: #0D1524;
    background-color: #FFFFFF;

}
@media screen and (max-width: 760px) {
    .comparasion-container {
        flex-direction: column;
    }

    .comparasion-answer-box {
        min-height: 150px;
    }

    .comparasion-action-line {
        display: none;
    }
}

/* Translation */

.translation-container {
    display: flex;
    width: 100%;
    gap: 20px;
    /* padding: 20px 20px 0 20px; */
    padding: 0 50px;
}

@media screen and (max-width: 760px) {
    .translation-container {
        padding: 12px 4vw;
        flex-direction: column;
    }
}

.translation-block {
    flex: 1;
}

.translation-block-title {
    padding: 4px;
    font-weight: 600;
}

.translation-block-item {
    padding-top: 5px;
}

.translation-block-item-header {
    display: flex;
    justify-content: space-between;
    padding: 4px;
    align-items: center;
    height: 30px;
}

.translation-block-item-actions {
    display: flex;
    justify-content: flex-end;
    gap: 8px;
    margin-bottom: 8px;
    margin-top: 8px;
}

.translation-text-input {
    border: 1px solid #00faa9;
    border-radius: 16px;
    padding: 16px 4px 16px 16px;
    backdrop-filter: blur(110px);
    box-shadow: 0px 8px 16px 0px #0D152466 inset;
    background: rgba(255, 255, 255, 0.1);
    min-height: 54px;
    display: flex;
}

.translation-text-input.truncated {
    padding-right: 32px;
}

.translation-text-input textarea {
    background: none;
    border: none;
    color: #fff;
    font-size: 16px;
    width: 100%;
    field-sizing: content;
    padding: 0;
}

.collapse-btn {
    color: #FFFFFF;
    font-weight: 700;
    display: flex;
    justify-content: center;
    align-items: center;
}

.collapse-btn span.collapse-title {
    opacity: .75;
    padding-left: 8px;
}

.language-selector-item {
    display: flex;
    justify-content: space-between;
}

.translation-block .setting-select .clear-button {
    display: flex;
    justify-content: center;
    align-items: center;
}

.translation-block .setting-select .clear-button .action-btn.clear-btn {
    color: #00C2FF;
}
.truncate-text {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow-y: auto;
    word-break: break-word;
    max-height: 10em;
    padding-right: 16px;
}
.blue-scroll::-webkit-scrollbar-track {
  background: transparent;
}
.blue-scroll::-webkit-scrollbar-thumb {
  background: rgba(0, 194, 255, 0.8);
  border-radius: 10px;
}

.blue-scrollt::-webkit-scrollbar-thumb:hover {
  background: rgba(0, 194, 255, 1);
}

.blue-scroll::-webkit-scrollbar-button {
  display: none;
}
.truncate-text.active {
    -webkit-line-clamp: 1;
    overflow-y: hidden;
    overflow: hidden;
    text-overflow: ellipsis;
}

.translation-block-item-copy button {
    opacity: .75;
}

.translation-block-item-copy button:hover {
    opacity: 1;
}


/* Settings */

.form-settings {
    display: flex;
    gap: 8px;
    max-width: 820px;
    margin-bottom: 15px;
}

.form-settings .setting-wrapper {
    flex: 1;
    flex-grow: 2;
    max-width: 268px;
}

.form-settings .chat-btn {
    border-radius: 8px;
    /* border: 2px solid #00FFAC; */
    display: flex;
    align-items: center;
    gap: 4px;
    /* padding-left: 16px; */
    height: 40px;
    background: none;
    cursor: pointer;
    position: relative;

    background-color: #D9D9D9;
    padding: 8px;
}

.form-settings .chat-btn.triggered {
    background-color: #FFFFFF;
}

.form-settings .chat-btn .control {
    margin-left: auto;
}

.form-settings .chat-btn .control .arrow{
    padding-top: 4px;
    cursor: pointer;
    position: relative;
    color: #0D1524;
}

.form-settings .chat-btn .control .setting-radio {
    margin-bottom: 0;
}
.form-settings .chat-btn .control .setting-radio .setting-radio__selector{
    background-color: #FFFFFF;
}

.form-settings .chat-btn.triggered .control .arrow svg {
    transform: rotate(-180deg);
    transition: transform 0.3s;
}

.form-settings a.chat-btn span {
    color: #0D1524;
    font-size: 14px;
    font-weight: 600;
    margin: 0;
}

.form-settings .setting-wrapper.was-hidden {
    flex-grow: 1;
}

.form-settings .setting-wrapper.was-hidden a.chat-btn span{
    display: none;
}
@media screen and (min-width: 480px) {
    .form-settings .setting-wrapper.was-hidden {
        flex-grow: 2;
    }
    .form-settings .chat-btn {
        padding: 11px 16px;
        height: 46px;
        border-radius: 16px;
    }
    .form-settings .setting-wrapper.was-hidden a.chat-btn span{
        display: block;
    }
    /* .form-settings .chat-btn .control .arrow{
        padding-top: 7px;
    } */
}
.chat__footer__line {
    margin: 8px 0;
}

.chat-menu .chat-btn {
    font-size: 14px;
}

.chat-menu .chat-btn.active {
    background: #00faa9;
}

.chat-menu .chat-btn:hover, .chat-menu .chat-btnset.link:hover {
    background: #00C2FF;
    border-color: #00C2FF;
}

.chat-menu .chat-btnset.flat {
    background: transparent;
    color: #FFF;
}

.chat-menu .chat-btnset.link {
    background: #00faa9;
}
.chat-menu .chat-btnset.link.active {
    background: #fff;
    border: #fff;
}

.chat-menu .chat-btnset.link.active {
    cursor: default;
}

.chat-menu .chat-menu__top {
    margin-top: 0;
}

.chat__body__top p {
    font-size: 16px;
}
.chat__body__scroller {
    padding-top: 0;
    overflow-y: auto;
    position: relative;
}
.chat__message__actions {
    display: flex;
    gap: 16px;
    margin-top: 24px;
}
.chat__message__actions .action-button svg {
    height: 24px;
    width: 24px;
    opacity: .5;
    transition: opacity .3s;
    cursor: pointer;
}

.chat__message__actions .action-button svg path, .chat__message__actions .action-button svg rect {
    fill: #FFF;
}
.chat__message__actions .action-button:hover svg {
    opacity: 1;
}

.dropdown-container {
    transition: none;
    width: 100%;
    display: block;
    padding-left: 20px;
    padding-right: 20px;
}

.dropdown-container .dropdown {
    background: #ffffff;
    width: 100%;
    display: block;
    padding: 16px;
    border-radius: 5px;
    box-shadow: 0px 4px 16px 0px #00000080;
    color: #000;
}

.dropdown-container .dropdown .dropdown-item {
    cursor: pointer;
}

.dropdown-container
    .dropdown
    .dropdown-item.disabled {
    opacity: 0.3;
}

.dropdown-container .dropdown .dropdown-item .title {
    font-size: 14px;
    font-weight: 600;
    padding-bottom: 4px;
}

.dropdown-container .dropdown .dropdown-item .description {
    font-size: 12px;
}

.dropdown-container .dropdown .dropdown-title {
    font-size: .7em;
    font-weight: 700;
    padding: .5em 0;
}
.bot-message {
    margin-bottom: 0;
    border-bottom: #444654 1px solid;
}
.chat__body {
    padding-top: 0;
}
.chat__body__scroller {
    padding-top: 10px;
}
@media screen and (max-width: 760px) {
    .chat__body__scroller {
        padding-top: 90px;
    }
}
